Subject: [Healeys] Any Ideas ?

From: Richard Collins <[email-masked]>
Date: Wed, 4 Dec 2024 16:26:57 +0000

Driving my BN7 on back country roads here in Kentucky last week, my clutch peddle wouldn’t go down or stuck in the UP position. When I finally got it to Go down so I could shift the gears slide slowly in to place. Blipping the throttle helped shifting to get home. No issues with OD at all. After cooling down at home, all seemed normal again. I haven’t been in it again to see if it duplicates itself. Fluid reservoir is ok . 
I’m guessing a vapor lock in the system but before I start digging into the trannie and linkage does anyone have a hint of what it could be ? Usually with a bad clutch the peddle goes to the floor.
FWIW I have a top shifter and not the original side shifter. 20 year owner with no previous issues.
TIA
Regards,
Richard C
BN7 440
_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive/healeys

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]